Skip to main content
PATCH
Update an existing automation

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

taskId
string
required

Unique task identifier

Example:

"tsk_abc123def456"

automationId
string
required

Unique automation identifier

Example:

"auto_abc123def456"

Body

application/json
name
string

Automation name

Example:

"GitHub Security Check - Evidence Collection"

description
string

Automation description

Example:

"Collects evidence about GitHub repository security settings"

isEnabled
boolean

Whether the automation is enabled

evaluationCriteria
string

Evaluation criteria for the automation

scheduleFrequency
enum<string>

Automation schedule cadence

Available options:
daily,
weekly,
monthly,
quarterly,
yearly

Response

Automation updated successfully

success
boolean
Example:

true

automation
object